<?php 
session_start();
	if($_SESSION['level']!="superadmin"){
		header("location:../index.html");
	}

include("header.php"); // memanggil file header.php
include("koneksi.php"); // memanggil file koneksi.php untuk koneksi ke database
?>
	<div class="container">
		<div class="content">
			<h2>Halo <b><?php echo $_SESSION['nama']; ?></b> Anda telah login sebagai <b>SUPER ADMIN</b>.</p></h2>
			<hr />
			<P> SILAKAN CEK DATA KALIAN </P>
						<P> <span class="btn btn-warning">ANTRI</span> : DATA KALIAN MASIH DALAM ANTRIAN UNTUK DIVERIFIKASI OLEH PETUGAS
						<br> <span class="btn btn-primary">BERHASIL</span> : DATA KALIAN SUDAH TERCATAT DALAM SISTEM PEMINATAN SMKN 1 MAGETAN
						<BR> <span class="btn btn-danger">PENDING</span> : ADA KESALAHAN DALAM ENTRY DATA, SILAKAN KLIK TOMBOL PENDING DI SAMPING NAMA ANDA UNTUK MELIHAT KESALAHAN
			
			<div class="table-responsive">
				<table class="table table-striped table-hover">
				<tr>
				<th>
			<!-- bagian ini untuk memfilter data berdasarkan kelompok -->
			</th>
			 <form action="gantijur.php" method="get">
	<label>Cari :</label>
	<input type="text" name="cari">
	<input type="submit" value="Cari">
</form>

			<br />
			
			<!-- memulai tabel responsive -->
			<div class="table-responsive">
				<table class="table table-striped table-hover">
					<tr>
						<th>No</th>
						<th>Tanggal Daftar</th>
						<th>Nama</th>
						<th>Status</th>
						<th>Aksi</th>
						
						
						
					
					
					</tr>
					<?php
					if(isset($_GET['cari'])){
						$cari = $_GET['cari'];
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan_online WHERE nama like '%".$cari."%' or nisn like '%".$cari."%' ORDER BY nama ASC "); // query jika filter dipilih
					}
					else {
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan_online ORDER BY tgl_daftar DESC, nama asc"); // jika tidak ada filter maka tampilkan semua entri
					}
					if(mysqli_num_rows($sql) == 0){ 
						echo '<tr><td colspan="14">Data Tidak Ada.</td></tr>'; // jika tidak ada entri di database maka tampilkan 'Data Tidak Ada.'
					}else{ // jika terdapat entri maka tampilkan datanya
						$no = 1; // mewakili data dari nomor 1
						while($row = mysqli_fetch_assoc($sql)){ // fetch query yang sesuai ke dalam array
							echo '

							<tr>
								<td>'.$no.'</td>
								<td>'.$row['tgl_daftar'].'</td>
								<td>'.$row['nama'].'</td>
								<td>';
								if($row['status'] == 'BERHASIL'){
									echo '<a href="profile.php?nisn='.$row['nisn'].'" class="btn btn-primary">BERHASIL</a>';
								}
								else if ($row['status'] == 'ANTRI' ){
									echo '<a href="edit.php?nisn='.$row['nisn'].'" class="btn btn-warning">ANTRI</a>';
								}
								else if ($row['status'] == 'PENDING' ){
									echo '<a href="viewpending.php?nisn='.$row['nisn'].'" class="btn btn-danger">PENDING</a>';
								}
								else if ($row['status'] == 'DICABUT' ){
									echo '<span class="btn btn-success">DICABUT</a>';
								}
									echo '</td>
								<td><a href="editjur.php?nisn='.$row['nisn'].'" class="btn btn-sm btn-info" data-toggle="tooltip" title="Edit Data">Edit Data</a><a href="cabut.php?nisn='.$row['nisn'].'" class="btn btn-sm btn-danger" data-toggle="tooltip" title="CABUT">CABUT</a></td></td>

								
							</tr>
							';
							$no++; // mewakili data kedua dan seterusnya <a href="password.php?id_peminat='.$row['id_peminat'].'" title="Ganti Password" data-toggle="tooltip" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-refresh" aria-hidden="true"></span></a>
						}
					}
					?>
				</table>
			</div> <!-- /.table-responsive -->
		</div> <!-- /.content -->
	</div> <!-- /.container -->
<?php 
include("footer.php"); // memanggil file footer.php
?>